Bug 55023 - post enctype=multipart/form-data 2 character are added to the variable
post enctype=multipart/form-data 2 character are added to the variable
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-24 12:19 EDT by Matteo
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 06:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matteo 2001-10-24 12:19:35 EDT
1. goto http://new.mariuana.it/bug/
2. insert some TEXT say "HHHHH" click Go
3. view HTML (not from browser, it looks fine) you see the result one line down: 
HHHHHHHH topic:: 

if you remove enctype="multipart/form-data" it works fine

Dear Sir,
I upgraded from apache 1.13.12 to 1.13.14-3 (package downloaded from updates.redhat.com).
PHPNuke suddenly did not work properly
because two charcters (\l\f) are added at the beginning of each post variables. 
this is the PHP code: <form enctype=\"multipart/form-data\" action=\"admin.php\" method=\"post\">"
if I remove: enctype="multipart/form-data" everything is fine

I can't give you an URL because it is meaningless unless you know phpNuke and I also had to make the code work.

I found the problem with 2 machine, both running RH7, only after I upgraded apache and php. with the previous version everything was fine.

Best Regards
(same problem with phppgamin)
Comment 1 Joe Orton 2004-09-21 06:41:37 EDT
Thanks for the report.  This is a mass bug update; since this release
of Red Hat Linux is no longer supported, please either:

a) try and reproduce the bug with a supported version of Red Hat
Enterprise Linux or Fedora Core, and re-open this bug as appropriate
after changing the Product field, or,

b) if relevant, try and reproduce this bug using the current version
of the upstream package, and report the bug upstream.

Note You need to log in before you can comment on or make changes to this bug.